/***********************************************************************/
/*  Easyflow is (C) 1999-2001 lamagra.seKure.de  This program is free  */
/*  software; you can redistribute it and/or modify it under the terms */
/*  of the GNU General Public License as published by the Free Software*/
/*  Foundation; Version 2.  This guarantees your right to use, modify, */
/*  and redistribute this software under certain conditions.           */
/*                                                                     */
/*  If you received these files with a written license agreement       */
/*  stating terms other than the (GPL) terms above, then that          */
/*  alternative license agreement takes precendence over this comment. */
/*                                                                     */
/*  Source is provided to this software because we believe users have  */
/*  a right to know exactly what a program is going to do before they  */
/*  run it.  This also allows you to audit the software for security   */
/*  holes (none have been found so far).                               */
/*                                                                     */
/*  This program is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of     */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  */
/*  General Public License for more details (                          */
/*  http://www.gnu.org/copyleft/gpl.html ).                            */
/*                                                                     */
/***********************************************************************/
class lstring
{
    private:
        char *buffer;
        int pos;
        int totsize;
        
    public:
        lstring();
        lstring(int);
        lstring(lstring&);
        ~lstring();

        char *ptr(){ return buffer; }
        int size(){ return pos; }
        //toupper();
        //tolower();
        void increase(int);
        void clear();

        unsigned char lstring::operator[](int);
        lstring& lstring::operator+=(char *);
        lstring& lstring::operator+=(lstring&);
        lstring& lstring::operator+=(lstring *);
        lstring& lstring::operator=(lstring);
        lstring& lstring::operator=(char *);
        lstring& lstring::operator=(char);
        lstring& lstring::operator<<(char);
        lstring& lstring::operator<<(int);
};